diff --git a/gcc/config/sh/linux.h b/gcc/config/sh/linux.h
index c0a4ebd..bce5804 100644
--- a/gcc/config/sh/linux.h
+++ b/gcc/config/sh/linux.h
@@ -64,7 +64,7 @@ along with GCC; see the file COPYING3.  If not see
 	fprintf (STREAM, "\tpt\t1f,tr1\n");				\
 	fprintf (STREAM, "\taddi.l\tr15,-8,r15\n");			\
 	fprintf (STREAM, "\tst.l\tr15,0,r18\n");			\
-	if (flag_pic)							\
+	if (GCC_OPTION (flag_pic))							\
 	  {								\
 	    const char *gofs = "(datalabel _GLOBAL_OFFSET_TABLE_-(0f-.))"; \
 	    fprintf (STREAM, "\tmovi\t((%s>>16)&0xffff),r21\n", gofs);	\
@@ -85,7 +85,7 @@ along with GCC; see the file COPYING3.  If not see
       }									\
     else								\
       {									\
-	if (flag_pic)							\
+	if (GCC_OPTION (flag_pic))							\
 	  {								\
 	    fprintf (STREAM, "\tmov.l\t3f,r1\n");			\
 	    fprintf (STREAM, "\tmova\t3f,r0\n");			\
@@ -100,7 +100,7 @@ along with GCC; see the file COPYING3.  If not see
 	fprintf (STREAM, "\tjmp\t@r1\n");				\
 	fprintf (STREAM, "\tlds\tr0,pr\n");				\
 	fprintf (STREAM, "\t.align\t2\n");				\
-	if (flag_pic)							\
+	if (GCC_OPTION (flag_pic))							\
 	  {								\
 	    fprintf (STREAM, "1:\t.long\tmcount@GOT\n");		\
 	    fprintf (STREAM, "3:\t.long\t_GLOBAL_OFFSET_TABLE_\n");	\
@@ -141,12 +141,12 @@ along with GCC; see the file COPYING3.  If not see
       if (global_options_set.x_sh_atomic_model_str == 0)		\
 	{								\
 	  if (TARGET_SH3)						\
-	    sh_atomic_model_str = "soft-gusa";				\
+	    GCC_OPTION (sh_atomic_model_str) = "soft-gusa";				\
 	  else if (TARGET_SH1)						\
-	    sh_atomic_model_str = "soft-imask";				\
+	    GCC_OPTION (sh_atomic_model_str) = "soft-imask";				\
 	}								\
       /* Set -musermode if it hasn't been specified.  */		\
       if (global_options_set.x_TARGET_USERMODE == 0)			\
-	TARGET_USERMODE = true;						\
+	GCC_OPTION (TARGET_USERMODE) = true;						\
     }									\
   while (0)
diff --git a/gcc/config/sh/netbsd-elf.h b/gcc/config/sh/netbsd-elf.h
index 8100cee..7e97025 100644
--- a/gcc/config/sh/netbsd-elf.h
+++ b/gcc/config/sh/netbsd-elf.h
@@ -101,6 +101,6 @@ while (0)
     {									\
       /* Set -musermode if it hasn't been specified.  */		\
       if (global_options_set.x_TARGET_USERMODE == 0)			\
-	TARGET_USERMODE = true;						\
+	GCC_OPTION (TARGET_USERMODE) = true;						\
     }									\
   while (0)
diff --git a/gcc/config/sh/sh-mem.cc b/gcc/config/sh/sh-mem.cc
index 45af23a..c14923c 100644
--- a/gcc/config/sh/sh-mem.cc
+++ b/gcc/config/sh/sh-mem.cc
@@ -112,7 +112,7 @@ expand_block_move (rtx *operands)
 	  emit_insn (gen_block_move_real_i4 (func_addr_rtx));
 	  return true;
 	}
-      else if (! optimize_size)
+      else if (! GCC_OPTION (optimize_size))
 	{
 	  const char *entry_name;
 	  rtx func_addr_rtx = gen_reg_rtx (Pmode);
@@ -151,7 +151,7 @@ expand_block_move (rtx *operands)
 
   /* This is the same number of bytes as a memcpy call, but to a different
      less common function name, so this will occasionally use more space.  */
-  if (! optimize_size)
+  if (! GCC_OPTION (optimize_size))
     {
       rtx func_addr_rtx = gen_reg_rtx (Pmode);
       int final_switch, while_loop;
@@ -291,7 +291,7 @@ sh_expand_cmpstr (rtx *operands)
   add_int_reg_note (jump, REG_BR_PROB, prob_unlikely);
 
   emit_insn (gen_cmpeqsi_t (tmp1, tmp2));
-  if (flag_delayed_branch)
+  if (GCC_OPTION (flag_delayed_branch))
     emit_insn (gen_zero_extendqisi2 (tmp2, gen_lowpart (QImode, tmp2)));
   jump = emit_jump_insn (gen_branch_true (L_loop_byte));
   add_int_reg_note (jump, REG_BR_PROB, prob_likely);
@@ -299,7 +299,7 @@ sh_expand_cmpstr (rtx *operands)
 
   emit_label (L_end_loop_byte);
 
-  if (! flag_delayed_branch)
+  if (! GCC_OPTION (flag_delayed_branch))
     emit_insn (gen_zero_extendqisi2 (tmp2, gen_lowpart (QImode, tmp2)));
   emit_insn (gen_zero_extendqisi2 (tmp1, gen_lowpart (QImode, tmp1)));
 
@@ -427,7 +427,7 @@ sh_expand_cmpnstr (rtx *operands)
                   add_int_reg_note (jump, REG_BR_PROB, prob_unlikely);
 
                   emit_insn (gen_cmpeqsi_t (tmp1, tmp2));
-                  if (flag_delayed_branch)
+                  if (GCC_OPTION (flag_delayed_branch))
                     emit_insn (gen_zero_extendqisi2 (tmp2,
                                                      gen_lowpart (QImode,
                                                                   tmp2)));
@@ -469,7 +469,7 @@ sh_expand_cmpnstr (rtx *operands)
           add_int_reg_note (jump, REG_BR_PROB, prob_unlikely);
 
           emit_insn (gen_cmpeqsi_t (tmp1, tmp2));
-          if (flag_delayed_branch)
+          if (GCC_OPTION (flag_delayed_branch))
             emit_insn (gen_zero_extendqisi2 (tmp2,
                                              gen_lowpart (QImode, tmp2)));
           jump = emit_jump_insn (gen_branch_false (L_end_loop_byte));
@@ -499,7 +499,7 @@ sh_expand_cmpnstr (rtx *operands)
   add_int_reg_note (jump, REG_BR_PROB, prob_unlikely);
 
   emit_insn (gen_cmpeqsi_t (tmp1, tmp2));
-  if (flag_delayed_branch)
+  if (GCC_OPTION (flag_delayed_branch))
     emit_insn (gen_zero_extendqisi2 (tmp2, gen_lowpart (QImode, tmp2)));
   jump = emit_jump_insn (gen_branch_false (L_end_loop_byte));
   add_int_reg_note (jump, REG_BR_PROB, prob_unlikely);
@@ -518,7 +518,7 @@ sh_expand_cmpnstr (rtx *operands)
 
   emit_label (L_end_loop_byte);
 
-  if (! flag_delayed_branch)
+  if (! GCC_OPTION (flag_delayed_branch))
     emit_insn (gen_zero_extendqisi2 (tmp2, gen_lowpart (QImode, tmp2)));
   emit_insn (gen_zero_extendqisi2 (tmp1, gen_lowpart (QImode, tmp1)));
 
